Subject: Re: [alsa-devel] [PATCH v2] [ALSA] Add ASoC drivers for the Freescale MPC8610 SoC

From: Timur Tabi <[email-masked]>
Date: Fri, 11 Jan 2008 09:08:36 -0600

Olof Johansson wrote:

> Having been in a similar situation myself (needing to share resources
> between DMA, ethernet and function offload), I recommend creating a
> separate small library that all those drivers use, instead of making
> some sort of dependency between drivers in completely different parts
> of the kernel.

Well, the DMA driver should be in soon.  Actually, it should be in now, because 
I saw a blurb in this month's Linux Journal about it.  As soon as I find it :-), 
I'll post a new patch that adds arbitration.

-- 
Timur Tabi
Linux kernel developer at Freescale